Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class FigureAccessorImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.FigureAccessorImpl

All Implemented Interfaces:
  EObject, FigureAccessor, FigureHandle, InternalEObject, Notifier

public class FigureAccessorImpl
extends EObjectImpl
implements FigureAccessor

An implementation of the model object 'Figure Accessor'.

The following features are implemented:

- `Referencing Elements`
- `Accessor`
- `Typed Figure`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected java.lang.String` `accessor` The cached value of the '`Accessor`' attribute
`protected static java.lang.String` `ACCESSOR_EDEFAULT` The default value of the '`Accessor`' attribute
`protected EList` `referencingElements` The cached value of the '`Referencing Elements`' reference list
`protected CustomFigure` `typedFigure` The cached value of the '`Typed Figure`' reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FigureAccessorImpl()`

Method Summary
`CustomFigure` `basicGetTypedFigure()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getAccessor()`
`EList` `getReferencingElements()`
`CustomFigure` `getTypedFigure()`
`void` `setAccessor(java.lang.String newAccessor)`
`void` `setTypedFigure(CustomFigure newTypedFigure)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### referencingElements

    protected EList referencingElements

  The cached value of the '`Referencing Elements`' reference list.

  See Also:
    `FigureAccessorImpl.getReferencingElements()`
  ** Generated **
  Ordered:

### ACCESSOR_EDEFAULT

    protected static final java.lang.String ACCESSOR_EDEFAULT

  The default value of the '`Accessor`' attribute.

  See Also:
    `FigureAccessorImpl.getAccessor()`
  ** Generated **
  Ordered:

### accessor

    protected java.lang.String accessor

  The cached value of the '`Accessor`' attribute.

  See Also:
    `FigureAccessorImpl.getAccessor()`
  ** Generated **
  Ordered:

### typedFigure

    protected CustomFigure typedFigure

  The cached value of the '`Typed Figure`' reference.

  See Also:
    `FigureAccessorImpl.getTypedFigure()`
  ** Generated **
  Ordered:

Constructor Detail

### FigureAccessorImpl

    protected FigureAccessorImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### getReferencingElements

    public EList getReferencingElements()

  Specified by:
    `getReferencingElements` in interface `FigureHandle`
  Returns:
    the value of the 'Referencing Elements' reference list.
  See Also:
    `GMFGraphPackage.getFigureHandle_ReferencingElements()`, `DiagramElement.getFigure()`
  ** Generated **

### getAccessor

    public java.lang.String getAccessor()

  Specified by:
    `getAccessor` in interface `FigureAccessor`
  Returns:
    the value of the 'Accessor' attribute.
  See Also:
    `FigureAccessor.setAccessor(String)`, `GMFGraphPackage.getFigureAccessor_Accessor()`
  ** Generated **

### setAccessor

    public void setAccessor(java.lang.String newAccessor)

  Specified by:
    `setAccessor` in interface `FigureAccessor`
  Parameters:
    `newAccessor` - the new value of the 'Accessor' attribute.
  See Also:
    `FigureAccessor.getAccessor()`
  ** Generated **

### getTypedFigure

    public CustomFigure getTypedFigure()

  Specified by:
    `getTypedFigure` in interface `FigureAccessor`
  Returns:
    the value of the 'Typed Figure' reference.
  See Also:
    `FigureAccessor.setTypedFigure(CustomFigure)`, `GMFGraphPackage.getFigureAccessor_TypedFigure()`
  ** Generated **

### basicGetTypedFigure

    public CustomFigure basicGetTypedFigure()

  ** Generated **

### setTypedFigure

    public void setTypedFigure(CustomFigure newTypedFigure)

  Specified by:
    `setTypedFigure` in interface `FigureAccessor`
  Parameters:
    `newTypedFigure` - the new value of the 'Typed Figure' reference.
  See Also:
    `FigureAccessor.getTypedFigure()`
  ** Generated **

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

### toString

    public java.lang.String toString()

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.